using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Music.Model;

namespace Music.Presentation
{
    public interface ISongDetailView
    {
        int SongId { get; }
        string ArtistName { set; }
        string AlbumName
        {
            set;
        }
        string SongTitle
        {
            set;
        }
        string Genre
        {
            set;
        }
        string Track
        {
            set;
        }
        IEnumerable<Album> AlbumList
        {
            set;
        }
        IEnumerable<Artist> ArtistList
        {
            set;
        }
    }
}
